gmp_add
gmp_clrbit
GMP Functions
PHP Manual

# gmp_and

Bitwise AND

### Description

resource gmp_and ( resource `$a` , resource `$b` )

Calculates bitwise AND of two GMP numbers.

### Parameters

`a`

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

`b`

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

### Return Values

A GMP number representing the bitwise AND comparison.

### Examples

Example #1 gmp_and example

`<?php
$and1 = gmp_and("0xfffffffff4", "0x4");
$and2 = gmp_and("0xfffffffff4", "0x8");
echo gmp_strval($and1) . "\n";
echo gmp_strval($and2) . "\n";
?>`

The above example will output:

    4
    0